This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 832474 - cobbler_web It Does Not Work (Django django.contrib.csrf.middleware "No module named csrf.middleware")
cobbler_web It Does Not Work (Django django.contrib.csrf.middleware "No modul...
Status: CLOSED DUPLICATE of bug 828632
Product: Fedora
Classification: Fedora
Component: cobbler (Show other bugs)
17
All Linux
unspecified Severity high
: ---
: ---
Assigned To: James C.
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-15 09:47 EDT by Christian González
Modified: 2012-06-16 11:09 EDT (History)
4 users (show)

See Also:
Fixed In Version: 2.2.3-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-16 11:09:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Christian González 2012-06-15 09:47:40 EDT
Description of problem:
I installed cobbler-web-2.2.2-1.fc17.noarch on my Fedora 17,  I configured this and I have got the following error on my web browser when I tried to access to

http://miserver/cobbler_web

---------------------------
Internal Server Error

The server encountered an internal error or misconfiguration and was unable to complete your request.

Please contact the server administrator, root@localhost and inform them of the time the error occurred, and anything you might have done that may have caused the error.

More information about this error may be available in the server error log.
Apache/2.2.22 (Fedora) Server at fedora.sigis.local Port 80
--------------------------


And in my apache log file I have got:

--------------------------
mod_wsgi (pid=7821): Exception occurred processing WSGI script '/usr/share/cobbler/web/cobbler.wsgi'.
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/django/core/handlers/wsgi.py", line 219, in __call__
    self.load_middleware()
  File "/usr/lib/python2.7/site-packages/django/core/handlers/base.py", line 47, in load_middleware
    raise exceptions.ImproperlyConfigured('Error importing middleware %s: "%s"' % (mw_module, e))
ImproperlyConfigured: Error importing middleware django.contrib.csrf.middleware: "No module named csrf.middleware"
----------------------------

Version-Release number of selected component (if applicable):

Linux myserver 3.4.0-1.fc17.i686.PAE #1 SMP Sun Jun 3 06:54:54 UTC 2012 i686 i686 i386 GNU/Linux
cobbler-web-2.2.2-1.fc17.noarch
cobbler-2.2.2-1.fc17.noarch


How reproducible:


Steps to Reproduce:
1. Install Fedora 17 i386 or x86_64
2. Install cobbler and cobbler-web (with all its dependencies)
3. try to acceso to http://yourserver/cobbler_web (then see your apache error log)
  
Actual results:
---------------------------
Internal Server Error

The server encountered an internal error or misconfiguration and was unable to complete your request.

Please contact the server administrator, root@localhost and inform them of the time the error occurred, and anything you might have done that may have caused the error.

More information about this error may be available in the server error log.
Apache/2.2.22 (Fedora) Server at fedora.sigis.local Port 80
--------------------------

Expected results:
cobbler_web web page fully functional

Additional info:
Comment 1 James C. 2012-06-16 11:09:39 EDT

*** This bug has been marked as a duplicate of bug 828632 ***

Note You need to log in before you can comment on or make changes to this bug.